<?php
/* DO NOT CHANGE THIS (ORIGINAL WP 2.3 FUNCTION FOR SIDEBAR WIDGET) */
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<li id="%1$s" class="widget %2$s">',
        'after_widget' => '</li>',
        'before_title' => '<h2 class="widgettitle">',
        'after_title' => '</h2>',
    ));

/* 
File Name: Wordpress Theme Toolkit
Version: 1.0
Author: Ozh
Author URI: http://planetOzh.com/
Edited by Nahrizul Adib Kadri (http://nahrizuladib.com) on 6 Jan 2007 */

include(dirname(__FILE__).'/themetoolkit.php');
themetoolkit(
	'nak_theme', 
	array(     

	'nak_img_top' => 'Header image ## URI of image to be used as header. Must include http:// Preferably 980 x 122 pixels in dimension.',
	'nak_bg' => 'Background colour ## Must include "#" if using hex codes. Common colour names are acceptable too; e.g. red, blue, or cyan.',
	'nak_bgimg' => 'Background image ## URI of image to be used as header. Will override background colour (above). Must include http://',
	'nak_fonttitle' => 'Title font ## Font family for titles. Separate different fonts with a comma. Enclose multiple font names with a quote; e.g. "Trebuchet MS"',
	'nak_fontmain' => 'Main font ## Font family for the rest of the website. Separate different fonts with a comma. Enclose multiple font names with a quote; e.g. "Trebuchet MS"',
	'nak_linkcolor' => 'Link and border colour ## Must include "#" if using hex codes. Common colour names are acceptable too; e.g. red, blue, or cyan.',

	),
	__FILE__	 

);

function nak_header() {	global $nak_theme;	if ( $nak_theme->option['nak_img_top'] ) {		print '#logo {background: url(';		print $nak_theme->option['nak_img_top'];		print ") repeat-x left bottom ;}\n";	}	if ( $nak_theme->option['nak_bg'] ) {		print 'body {background: ';		print $nak_theme->option['nak_bg'];
	}
	if ( $nak_theme->option['nak_bgimg'] ) {		print 'body {background: ';
		print ' url(';		print $nak_theme->option['nak_bgimg'];		print ") ;}\n";	}
	if ( $nak_theme->option['nak_fontmain'] ) {		print 'body, th, td, input, textarea {font-family: ';		print $nak_theme->option['nak_fontmain'];		print ";}\n";	}
	if ( $nak_theme->option['nak_fonttitle'] ) {		print 'h1, h2, h3 {font-family: ';		print $nak_theme->option['nak_fonttitle'];		print ";}\n";	}
	if ( $nak_theme->option['nak_linkcolor'] ) {		print '.button, a:hover, #menu a, #menu a:hover, #menu .current_page_item a, #calendar #today {background: ';		print $nak_theme->option['nak_linkcolor'];		print ";}\n";		print 'h1 a:hover, h2 a:hover, h3 a:hover {color: ';		print $nak_theme->option['nak_linkcolor'];		print ";}\n";		print 'a, h1 a:hover, h2 a:hover, h3 a:hover {border-bottom: 1px dotted ';		print $nak_theme->option['nak_linkcolor'];		print ";}\n";		print '#logo {border: 1px solid ';		print $nak_theme->option['nak_linkcolor'];		print ";}\n";		print '#page {border: 1px solid ';		print $nak_theme->option['nak_linkcolor'];		print "; border-top: none;}\n";	}
}
?>