<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php bloginfo('name'); ?> <?php if ( is_single() ) { ?> &raquo; Blog Archive <?php } ?> <?php wp_title(); ?></title>
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats -->
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="alternate" type="application/rss+xml" title="<?php bloginfo('name'); ?> RSS Feed" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php wp_head(); ?>
<style type="text/css"><?php 

nak_header();

?></style>
</head>
<body>

<!-- start header -->
<div id="header">
	<div id="menu">
		<ul>
			<li class="page_item<?php if (is_home()) echo ' current_page_item'; ?>"><a href="<?php echo get_option('home'); ?>/">Главная</a></li>
			<?php wp_list_pages('title_li=' ); ?>
		</ul>
	</div>
	<div id="search">
		<form id="searchform" method="get" action="<?php bloginfo('url'); ?>/">
			<fieldset>
			<input id="s" type="text" name="s" value="<?php the_search_query(); ?>" class="text" />
			<input id="x" type="submit" value="Искать" class="button" />
			</fieldset>
		</form>
	</div>
</div>
<div id="logo">
	<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<p><?php bloginfo('description'); ?></p>
</div>
<!-- end header -->

<hr />

<!-- start page -->
<div id="page">
