<?php get_header(); ?>

	<div id="content" class="widecolumn">

	<?php if (have_posts()) : ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Предыдущие записи') ?></div>
			<div class="alignright"><?php previous_posts_link('Следующие записи &raquo;') ?></div>
		</div>


		<h1 class="pagetitle">Результаты поиска</h1>
		<p>&nbsp;</p>
		
		<?php while (have_posts()) : the_post(); ?>

			<div class="post" style="margin-bottom: 50px;">
				<h2 class="title" id="post-<?php the_ID(); ?>"><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link to <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<p style="margin: 0;"><small><?php the_time('l, F jS, Y') ?></small></p>
				<p style="margin: 0;"><?php the_tags('Метки: ', ', ', '<br />'); ?> Категория: <?php the_category(', ') ?> | <?php edit_post_link('Изменить', '', ' | '); ?>  <?php comments_popup_link('Нет комментариев &#187;', '1 Комментарий &#187;', '% Комментариев &#187;'); ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link('&laquo; Предыдущие записи') ?></div>
			<div class="alignright"><?php previous_posts_link('Следующие записи &raquo;') ?></div>
		</div>

	<?php else : ?>

		<h2 class="center">Ничего не найдено, попробуем ещё?</h2>
		<?php include (TEMPLATEPATH . '/searchform.php'); ?>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>